• last updated 3 hours ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
improve spelling

  1. … 8 more files in changeset.
- add etp__create_extlink/5 as in use on openacs.org

- add backwards compatible stub etp__create_extlink/4

- bump version number to 1.9d5

  1. … 2 more files in changeset.
- get rid of pesky error messages for every restart

- modernize tcl a little

- bump version number to 1.9d4

  1. … 2 more files in changeset.
- fix bug in content-type creation: etp created entries in acs_object_types for non-existing table_names and non-existing id_columns

- fix HTML vality of several pages

- bump version number

  1. … 6 more files in changeset.
Bug #3215. Plus changing fetching nextval of sequences.

  1. … 3 more files in changeset.
update .info file

  1. … 3 more files in changeset.
bump version and tag for 5.2

  1. … 5 more files in changeset.
commit to HEAD of merge of changes on oacs-5-1 branch between tags jcd-merge-5-1-20050111 and jcd-merge-5-1-20050224

  1. … 321 more files in changeset.
Upgrade due to new locale string

commit to HEAD of merge of changes on oacs-5-1 branch between tags jcd-merge-5-1-20040724 and jcd-merge-5-1-20050111

  1. … 2275 more files in changeset.
Increase version to force upgrade of plpgsql function.

Applied patch #609

  1. … 19 more files in changeset.
merge of changes on oacs-5-1 branch between tags jcd-merge-5-1-20040517 and jcd-merge-5-1-20040628 to HEAD

  1. … 687 more files in changeset.
Fixing version url value in the .info file, it was at an older version that could cause a constraint violation in an apm table when upgrading.

Fixed bug 1651 (more complete comments in HEAD)

  1. … 2 more files in changeset.
1. Added an upgrade directory for Oracle. Have we never had upgrade scripts

for Oracle? Is it being maintained?

2. Added Barry Book's fix for 1651, which had earlier been fixed in PG.

3. Bumped version from 1.6 to 1.7 so the upgrade script can run.

  1. … 2 more files in changeset.
merge of changes on oacs-5-0 branch to oacs-5-0-0b4 tag

  1. … 598 more files in changeset.
clean up summary and description information

  1. … 51 more files in changeset.
Bumping up version number. I am planning on releasing a richtext enabled version compatible with openacs 4.6.3, so I need an intermediate version number for pre-i18n.

Adding support for enhanched text formbuilder widget and converting etp-edit

to use ad_form. Increased version number for added pl/pgsql proc with upgrade script.

  1. … 9 more files in changeset.
merge of 4.6.3b1 to HEAD

  1. … 35 more files in changeset.
Moved edit-this-page's acs-subsite parameters to acs-subsite, and removed them from here. Bumped up the version number and require acs-subsite 4.6.3. See bug #479

  1. … 2 more files in changeset.
Merging fixed from oacs-4-6

  1. … 4 more files in changeset.
Bump info file version to coincide with upgrade script

adding missing files from merge

  1. … 20 more files in changeset.

1. Made it possible to upgrade from acs-kernel 4.6.1 to acs-kernel 4.6.2

by using the APM rather than running the upgrade script by hand from

PSQL or SQL*Plus.

2. Changed a bunch of package .info files to depend on acs-kernel 4.6.2

to force the APM to upgrade acs-kernel (and therefore the APM datamodel)

before anything else. No guarantee on this though since not all

packages properly define their dependence on the kernel, it appears.

3. Whacked the release notes to suggest people use the APM to upgrade

acs-kernel first, other package later, just for safety's sake.

4. Fixed goof-up in acs-subsite I accidently introduced.

  1. … 34 more files in changeset.
Change version to 1.2

Added upgrade script to info file

Update to 1.2b. This adds search service contracts for all etp managed

types through a system that automatically registers the service

contract implementation for each type. It also fixes the content type so

that it is set correctly. New cotnent types should subtype etp_page_revision.

  1. … 13 more files in changeset.
Took out Oracle support for ETP as it doesn't work.